services:
    apprise_api:
        container_name: apprise_api
        environment:
            - PUID=1000
            - PGID=1000
            - TZ=America/Denver
        image: lscr.io/linuxserver/apprise-api:latest
        labels:
            traefik.docker.network: traefik
            traefik.enable: true
            traefik.http.routers.apprise_api.entrypoints: websecure
            traefik.http.routers.apprise_api.rule: Host(`apprise.alexlebens.net`)
            traefik.http.routers.apprise_api.service: apprise_api
            traefik.http.services.apprise_api.loadbalancer.server.port: 8000
        logging:
            driver: json-file
            options:
                max-size: 50m
                max-file: "3"
        networks:
            traefik: null
        restart: always
        volumes:
            - apprise_config:/config

    mind:
        container_name: apprise_mind
        environment:
            - TZ=America/Denver
        image: 'mrcas/mind:latest'
        labels:
            traefik.docker.network: traefik
            traefik.enable: true
            traefik.http.routers.apprise_mind.entrypoints: websecure
            traefik.http.routers.apprise_mind.rule: Host(`mind.alexlebens.net`)
            traefik.http.routers.apprise_mind.service: apprise_mind
            traefik.http.services.apprise_mind.loadbalancer.server.port: 8080
        logging:
            driver: json-file
            options:
                max-size: 50m
                max-file: "3"
        networks:
            traefik: null
        restart: always
        volumes:
            - mind_db:/app/db

networks:
    traefik:
        name: traefik
        external: true

volumes:
    apprise_config:
        driver: local
        driver_opts:
            type: none
            o: bind
            device: /var/lib/docker/volumes/partition/apprise_config

    mind_db:
        driver: local
        driver_opts:
            type: none
            o: bind
            device: /var/lib/docker/volumes/partition/apprise_mind_db
